package main

import "fmt"

func main() {
	i := 42       // int
	j := int32(i) // int32 - this is a valid conversion

	fmt.Println(i, j)

	pi := 3.14

	area := int(pi) * i

	fmt.Println(area)

	// illegal conversion:
	week := int("7")
}
